---
title: Find event by name
slug: find-event-by-name
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/?name={url_slug}",
  "name": "Find event by name",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [
      {
        "kind": "required",
        "name": "name",
        "type": "string",
        "children": [],
        "description": "The name of the event you are searching for. This can also be found in the details tab of your event's Admin Panel."
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n  \"data\": {\n    \"id\": \"6523\",\n    \"type\": \"event\",\n    \"attributes\": {\n      \"id\": \"6523\",\n      \"name\": \"Worchester Test\",\n      \"location\": \"\",\n      \"address\": \"\",\n      \"start-date\": \"2027-11-01\",\n      \"end-date\": \"2027-11-03\",\n      \"past\": \"false\",\n      \"table-nickname\": \"table\",\n      \"infoarea-photo-url\": \"\",\n      \"cover-photo-url\": {},\n      \"logo-large-url\": {},\n      \"logo-small-url\": {},\n      \"uses-interests\": \"true\",\n      \"uses-timeslots\": \"true\",\n      \"uses-tables\": \"false\",\n      \"uses-sponsors\": \"true\",\n      \"uses-speakers\": \"true\",\n      \"event-type\": \"hybrid\",\n      \"uses-stream-link\": \"false\",\n      \"uses-meeting-slots\": \"true\",\n      \"uses-event-chat\": \"true\",\n      \"uses-timeslot-chat\": \"false\",\n      \"uses-wizard\": \"false\",\n      \"uses-ticketing\": \"true\",\n      \"uses-sponsor-booth-links\": \"false\",\n      \"industry\": \"Artificial Intelligence\",\n      \"city\": {},\n      \"country\": \"Finland\",\n      \"region\": {},\n      \"created-at\": \"2022-11-10T11:42:10.884Z\",\n      \"updated-at\": \"2022-12-13T16:39:34.890Z\",\n      \"content\": {},\n      \"sponsors-name\": \"Partners\",\n      \"primary-color\": {},\n      \"secondary-color\": {},\n      \"intent-pair-ids\": {},\n      \"uses-reception-page\": \"true\",\n      \"launches-at\": \"2022-11-22T06:38:46.000Z\",\n      \"start-time-utc\": \"2027-10-31T22:00:00.000Z\",\n      \"end-time-utc\": \"2027-11-02T22:00:00.000Z\",\n      \"chat-channel-id\": \"event-6523\",\n      \"slug\": \"woesttest\",\n      \"time-zone\": \"Europe/Helsinki\"\n    },\n    \"relationships\": {\n      \"tickets\": {\n        \"data\": []\n      }\n    }\n  }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "LcXnRo2H0mOSW1XNK4h6w",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/?name={url_slug}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "LcXnRo2H0mOSW1XNK4h6w"
  },
  "description": "Find and retrieve the relevant data for a specific event within an organization by using the event's name as a query parameter",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "find-event-by-name",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

